Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ExceptionMappingConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ExceptionMappingConfig

All Implemented Interfaces:
  Locatable, Serializable

    public class ExceptionMappingConfig

extends Located
implements Serializable

Configuration for exception mapping.

Author:
  Rainer Hermanns, Matthew E. Porter (matthew dot porter at metissian dot com)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ExceptionMappingConfig.Builder` The builder for this object.

Field Summary
`protected String` | `exceptionClassName`
`protected String` | `name`
`protected Map<String,String>` | `params`
`protected String` | `result`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ExceptionMappingConfig(ExceptionMappingConfig target)`
`protected` | `ExceptionMappingConfig(String name, String exceptionClassName, String result)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getExceptionClassName()`
`String` | `getName()`
`Map<String,String>` | `getParams()`
`String` | `getResult()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### exceptionClassName

    protected String exceptionClassName

### result

    protected String result

### params

    protected Map<String,String> params

Constructor Detail

### ExceptionMappingConfig

    protected ExceptionMappingConfig(String name,
                                     String exceptionClassName,
                                     String result)

### ExceptionMappingConfig

    protected ExceptionMappingConfig(ExceptionMappingConfig target)

Method Detail

### getName

    public String getName()

### getExceptionClassName

    public String getExceptionClassName()

### getResult

    public String getResult()

### getParams

    public Map<String,String> getParams()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.